Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Enum MetaProjectImpl.SlotEnum

    java.lang.Object
      java.lang.Enum<MetaProjectImpl.SlotEnum>
          edu.stanford.smi.protege.server.metaproject.impl.MetaProjectImpl.SlotEnum

All Implemented Interfaces:
  Serializable, Comparable<MetaProjectImpl.SlotEnum>

Enclosing class:
  MetaProjectImpl

    public static enum MetaProjectImpl.SlotEnum

extends Enum<MetaProjectImpl.SlotEnum>

Enum Constant Summary
`allowedGroup`
`allowedGroupOperation`
`allowedOperation`
`annotationProject`
`description`
`email`
`group`
`hostName`
`inCollection`
`lastAccess`
`lastLogin`
`location`
`member`
`name`
`owner`
`password`
`policyModifiableByClient`
`properties`
`propertyName`
`propertyValue`
`salt`
`server`

Method Summary
`static MetaProjectImpl.SlotEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetaProjectImpl.SlotEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### name

    public static final MetaProjectImpl.SlotEnum name

### password

    public static final MetaProjectImpl.SlotEnum password

### salt

    public static final MetaProjectImpl.SlotEnum salt

### location

    public static final MetaProjectImpl.SlotEnum location

### email

    public static final MetaProjectImpl.SlotEnum email

### lastLogin

    public static final MetaProjectImpl.SlotEnum lastLogin

### lastAccess

    public static final MetaProjectImpl.SlotEnum lastAccess

### group

    public static final MetaProjectImpl.SlotEnum group

### member

    public static final MetaProjectImpl.SlotEnum member

### allowedGroup

    public static final MetaProjectImpl.SlotEnum allowedGroup

### allowedOperation

    public static final MetaProjectImpl.SlotEnum allowedOperation

### policyModifiableByClient

    public static final MetaProjectImpl.SlotEnum policyModifiableByClient

### inCollection

    public static final MetaProjectImpl.SlotEnum inCollection

### allowedGroupOperation

    public static final MetaProjectImpl.SlotEnum allowedGroupOperation

### owner

    public static final MetaProjectImpl.SlotEnum owner

### description

    public static final MetaProjectImpl.SlotEnum description

### annotationProject

    public static final MetaProjectImpl.SlotEnum annotationProject

### hostName

    public static final MetaProjectImpl.SlotEnum hostName

### properties

    public static final MetaProjectImpl.SlotEnum properties

### propertyName

    public static final MetaProjectImpl.SlotEnum propertyName

### propertyValue

    public static final MetaProjectImpl.SlotEnum propertyValue

### server

    public static final MetaProjectImpl.SlotEnum server

Method Detail

### values

    public static final MetaProjectImpl.SlotEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MetaProjectImpl.SlotEnum c : MetaProjectImpl.SlotEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MetaProjectImpl.SlotEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.